# CommandPermission (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands.annotation, annotation type: CommandPermission

Package co.aikar.commands.annotation

# Annotation Type CommandPermission

@Retention(RUNTIME) @Target({METHOD,TYPE,PARAMETER,ANNOTATION_TYPE}) public @interface CommandPermission
Sets the permission required to perform this command.

Permission format will vary based on implementation platform

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`

## Element Details

### value

String value